oracle.pg.text

## Class IndexParametersBase

- java.lang.Object
- - oracle.pg.text.IndexParametersBase

- Direct Known Subclasses:
    LuceneParameters, SolrParameters

      public class IndexParametersBase
      extends Object

  This class manages the parameters and utilities for text indexes

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getBatchSize()` Gets the batch size specifying the number of elements required (per directory) before data is flushed into the index.
    `int` | `getCommitBatchSize()` Gets the commit batch size specifying the number of documents required before forcing a commit to the index.
    `int` | `getNumConnections()` Gets the number of connections to use when re-indexing an index.
    `long` | `getWriteTimeout()` Gets the timeout (in seconds) used to wait for a write lock when writing on the index.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getBatchSize

          public final int getBatchSize()

      Gets the batch size specifying the number of elements required (per directory) before data is flushed into the index.
      Returns:
        a positive integer the batch size of the index.The default value is set to 10000.

    - #### getCommitBatchSize

          public final int getCommitBatchSize()

      Gets the commit batch size specifying the number of documents required before forcing a commit to the index.
      Returns:
        a positive integer representing the batch size of the index. The default value is set to 500,000.

    - #### getNumConnections

          public final int getNumConnections()

      Gets the number of connections to use when re-indexing an index.
      Returns:
        a positive integer representing the number of connections to use when re-indexing an index.

    - #### getWriteTimeout

          public final long getWriteTimeout()

      Gets the timeout (in seconds) used to wait for a write lock when writing on the index.
      Returns:
        a positive integer representing the timeout (in seconds) used to wait for a write lock when writing on the index. The default value is set to 15.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.